Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# TileOverlayOptions

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.model.TileOverlayOptions

## Class Overview

Defines options for a TileOverlay.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final TileOverlayOptionsCreator | CREATOR |

Public Constructors
| TileOverlayOptions() Creates a new set of tile overlay options.

Public Methods
int | describeContents()
TileOverlayOptions | fadeIn(boolean fadeIn) Specifies whether the tiles should fade in.
boolean | getFadeIn() Gets whether the tiles should fade in.
TileProvider | getTileProvider() Gets the tile provider set for this `TileOverlayOptions` object.
float | getZIndex() Gets the zIndex set for this `TileOverlayOptions` object.
boolean | isVisible() Gets the visibility setting for this `TileOverlayOptions` object.
TileOverlayOptions | tileProvider(TileProvider tileProvider) Specifies the tile provider to use for this tile overlay.
TileOverlayOptions | visible(boolean visible) Specifies the visibility for the tile overlay.
void | writeToParcel(Parcel out, int flags)
TileOverlayOptions | zIndex(float zIndex) Specifies the tile overlay's zIndex, i.e., the order in which it will be drawn where overlays with larger values are drawn above those with lower values.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final TileOverlayOptionsCreator CREATOR

## Public Constructors

#### public TileOverlayOptions ()

Creates a new set of tile overlay options.

## Public Methods

#### public int describeContents ()

#### public TileOverlayOptions fadeIn (boolean fadeIn)

Specifies whether the tiles should fade in. The default is `true`.

##### Returns

- this `TileOverlayOptions` object with a new visibility setting.

#### public boolean getFadeIn ()

Gets whether the tiles should fade in.

##### Returns

- `true` if the tiles are to fade in; `false` if it is not.

#### public TileProvider getTileProvider ()

Gets the tile provider set for this `TileOverlayOptions` object.

##### Returns

- the `TileProvider` of the tile overlay.

#### public float getZIndex ()

Gets the zIndex set for this `TileOverlayOptions` object.

##### Returns

- the zIndex of the tile overlay.

#### public boolean isVisible ()

Gets the visibility setting for this `TileOverlayOptions` object.

##### Returns

- `true` if the tile overlay is to be visible; `false` if it is not.

#### public TileOverlayOptions tileProvider (TileProvider tileProvider)

Specifies the tile provider to use for this tile overlay.

##### Parameters

tileProvider | the `TileProvider` to use for this tile overlay.

##### Returns

- the object for which the method was called, with the new tile provider set.

#### public TileOverlayOptions visible (boolean visible)

Specifies the visibility for the tile overlay. The default visibility is `true`.

##### Returns

- this `TileOverlayOptions` object with a new visibility setting.

#### public void writeToParcel (Parcel out, int flags)

#### public TileOverlayOptions zIndex (float zIndex)

Specifies the tile overlay's zIndex, i.e., the order in which it will be drawn where overlays with larger values are drawn above those with lower values. See the documentation at the top of this class for more information about zIndex.

##### Returns

- this `TileOverlayOptions` object with a new zIndex set.